﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Articles.ascx.cs" Inherits="Controls_Articles" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>

<table width="100%">
<tr>
<td align="right" style="width:100%">
    <dx:ASPxLabel ID="lblFiltre" runat="server" Text="Filtrele">    </dx:ASPxLabel>

</td>
<td>
    <asp:TextBox runat="server" ID="txtFiltre"   BorderStyle="Solid" 
        BorderWidth="1px" Width="168px"></asp:TextBox>
    <asp:TextBoxWatermarkExtender ID="txtFiltre_TextBoxWatermarkExtender" runat="server"
        TargetControlID="txtFiltre" WatermarkText="Süzmek için kelime girin..">
    </asp:TextBoxWatermarkExtender>
  
</td><td>   <%= GetTemizleLink() %></td></tr>
<tr>
<td align="right" style="width:100%">
    <dx:ASPxLabel ID="lblSirala" runat="server" Text="Sıralama">    </dx:ASPxLabel>

</td>

<td>
    <dx:ASPxComboBox ID="cmbSiralama" runat="server" 
        onselectedindexchanged="cmbSiralama_SelectedIndexChanged" SelectedIndex="0" 
        ValueType="System.String" AutoPostBack="True">
        <Items>
            <dx:ListEditItem Selected="True" Text="Başlık" Value="Baslik" />
            <dx:ListEditItem Text="Hit" Value="Hit" />
            <dx:ListEditItem Text="Tarih" Value="EklemeTarihi" />
        </Items>
    </dx:ASPxComboBox>
    <dx:ASPxComboBox ID="cmbSortOrder" runat="server" 
        onselectedindexchanged="cmbSiralama_SelectedIndexChanged" SelectedIndex="0" 
        ValueType="System.String" AutoPostBack="True">
        <Items>
            <dx:ListEditItem Selected="True" Text="Artan" Value="asc" />
            <dx:ListEditItem Text="Azalan" Value="desc" />
        </Items>
    </dx:ASPxComboBox></td>
     
</tr>
 
 <tr>
<td align="right" style="width:100%">
    <dx:ASPxLabel ID="lblSayfalama" runat="server" Text="Sayfalama">    </dx:ASPxLabel>

</td>
<td>
    <dx:ASPxComboBox ID="cmbSayfalama" runat="server" SelectedIndex="0" 
        ValueType="System.String" AutoPostBack="True" 
        onselectedindexchanged="cmbSayfalama_SelectedIndexChanged">
        <Items>
            <dx:ListEditItem Selected="True" Text="50" Value="50" />
            <dx:ListEditItem Text="100" Value="100" />
            <dx:ListEditItem Text="Tümü" Value="0" />
        </Items>
    </dx:ASPxComboBox>
   
    
    </td> <td></td>
</tr>

</table>


<br />
<asp:UpdatePanel ID="updatePanel" runat="server">
    <ContentTemplate>
        <dx:ASPxLabel runat="server" ID="lblHeader" CssClass="Baslik">
        </dx:ASPxLabel>
        <dx:ASPxGridView ID="gvUzun" runat="server" ClientIDMode="AutoID" DataSourceID="sqlDs"
            EnableCallBacks="False" AutoGenerateColumns="true" Width="100%" KeyFieldName="MakaleId">
            <SettingsPager PageSize="50" Position="TopAndBottom">
                <Summary AllPagesText="{0} - {1} ({2} Makale)" Text="{0} / {1} ({2} Makale)" />
            </SettingsPager>
            <Settings ShowColumnHeaders="False" />
            <Settings ShowColumnHeaders="False" />
            <Templates>
                <DataRow>
                    <table width="100%">
                        <tr>
                            <td align="right" style="width: 100%">

                             <img id="Img3" runat="server" src="~/App_themes/standart/images/Kaynak.jpg" />
                                <%# DataBinder.Eval(Container.DataItem,"Kaynak") %>
                                |
                                <%# GetTags(DataBinder.Eval(Container.DataItem, "Tag").ToString())%>
                                 
                                <img id="Img1" runat="server" src="~/App_themes/standart/images/calendar.jpg" />
                                <%# DataBinder.Eval(Container.DataItem, "Tarih", "{0:dd.MM.yyyy}") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                             <a class="MakaleListesiBaslik" href='<%# "Makale.aspx?MakaleId=" + DataBinder.Eval(Container.DataItem,"MakaleId") %>'>
                             <%# DataBinder.Eval(Container.DataItem,"Baslik") %>
                                </a>

                             
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%# DataBinder.Eval(Container.DataItem,"Ozet") %>
                                <br />
                                <hr />
                                <br />
                            </td>
                        </tr>
                    </table>
                </DataRow>
            </Templates>
            <Border BorderWidth="0px" />
        </dx:ASPxGridView>
        <asp:Repeater ID="rpKisa" runat="server" DataSourceID="sqlDs">
            <ItemTemplate>

             <table width="100%">
             
                        <tr>
                            <td align="right" style="width: 100%" colspan="2">

                             <img id="Img3" runat="server" src="~/App_themes/standart/images/Kaynak.jpg" />
                                <%# DataBinder.Eval(Container.DataItem,"Kaynak") %>
                                |
                                

                                    <%# GetTags(DataBinder.Eval(Container.DataItem, "Tag").ToString())%>
 
                                <img id="Img1" runat="server" src="~/App_themes/standart/images/calendar.jpg" />
                                <%# DataBinder.Eval(Container.DataItem, "Tarih", "{0:dd.MM.yyyy}") %>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"> 
                             <a class="MakaleListesiBaslik" href='<%# "Makale.aspx?MakaleId=" + DataBinder.Eval(Container.DataItem,"MakaleId") %>'>
                             <%# DataBinder.Eval(Container.DataItem,"Baslik") %>
                                </a>

                             
                            </td>
                        </tr>
                        <tr>
                         <td valign="top">
                            <img width="100" height="100" src='<%# ImageUrl(DataBinder.Eval(Container.DataItem,"MakaleId")) %>'>
                        </td>

                            <td>
                                <%# DataBinder.Eval(Container.DataItem,"Ozet") %>
                              
                            </td>
                        </tr>
                        <tr>
                        <td colspan="2">
                        <hr />
                        </td>
                        </tr>
                    </table>

              
            </ItemTemplate>
        </asp:Repeater>
        <asp:SqlDataSource ID="sqlDs" runat="server" ConnectionString="<%$ ConnectionStrings:HCG %>"
            SelectCommand="GetMakaleler" SelectCommandType="StoredProcedure">
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="1" Name="Tip" QueryStringField="Tip" Type="Byte" />
                <asp:Parameter DefaultValue="%" Name="Filtre" Type="String" ConvertEmptyStringToNull="true" />
            </SelectParameters>
        </asp:SqlDataSource>
    </ContentTemplate>
</asp:UpdatePanel>
