﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Controls_Evaluation : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack && Sessions.Uye.UyeId != -1)
        {
            pnlEvaluation.Visible = true;
            pnlUyeOl.Visible = false;
        }
        else
        {
            pnlEvaluation.Visible = false;
            pnlUyeOl.Visible = true;
        }
    }

    protected void btnOturumAc_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Default.aspx?Oturum=Ac&Geri="+ Server.UrlEncode("Makale.aspx?MakaleId=" + Request.QueryString["MakaleId"])); 
        }
    protected void btnGonder_Click(object sender, EventArgs e)
    {
        int puan = Convert.ToInt16(rating.Value);
        int uyeId = Sessions.Uye.UyeId;
        int makaleId = QueryStrings.MakaleId;
        string yorum = txtYorum.Text;                
        DataManager dm = new DataManager("HCG");
        dm.ExecuteNq("InsYorum", uyeId, makaleId, yorum, puan);
        
        rating.Value = 5;
        txtYorum.Text = string.Empty;
        lblSonuc.Text = "Yorumunuz yönetici tarafından onaylanma sürecine girmiştir.";
    }
}