﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Controls_LoginStatus : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Sessions.Uye.GirisYaptiMi)
        {
            lblUserName.Visible = true;
            btnLogout.Visible = true;
            btnYeniUye.Visible = false;
            btnOturumAc.Visible = false;
            lblUserName.Text = "Hoşgeldiniz " + Sessions.Uye.AdSoyad;
        }
        else
        {
            lblUserName.Visible = false;
            btnLogout.Visible = false;
            btnYeniUye.Visible = true;
            btnOturumAc.Visible = true;
        }
    }

    protected void btnLogout_Click(object sender, EventArgs e)
    {
        Sessions.Uye = new Uye();
        Cookies.KullaniciAdi = string.Empty;
        Response.Redirect("~/Default.aspx");
    }

    protected void btnYeniUye_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Default.aspx?Oturum=Yeni");
    }

    protected void btnOturumAc_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Default.aspx?Oturum=Ac");
    }   
}