﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for QueryStrings
/// </summary>
public class QueryStrings
{
	public QueryStrings()
	{
	 
	}

    public static int MenuId
    {
        get {
            int menuId = 0;
            if (HttpContext.Current.Request.QueryString["MenuId"] != null)
                int.TryParse( HttpContext.Current.Request.QueryString["MenuId"], out menuId);
            return menuId;
        }
    }
    public static string Oturum
    {
        get
        {
            string action = string.Empty;
            if (HttpContext.Current.Request.QueryString["Oturum"] != null)
                action = HttpContext.Current.Request.QueryString["Oturum"];
            return action;
        }
    }

    public static string Geri
    {
        get
        {
            string action = string.Empty;
            if (HttpContext.Current.Request.QueryString["Geri"] != null)
                action = HttpContext.Current.Server.UrlDecode(HttpContext.Current.Request.QueryString["Geri"]);
            return action;
        }
    }

    public static int MakaleId
    {
        get
        {
            int makaleId = -1;
            if (HttpContext.Current.Request.QueryString["MakaleId"] != null)
                int.TryParse(HttpContext.Current.Request.QueryString["MakaleId"], out makaleId);
            return makaleId;
        }
    }

    public static int Tip
    {
        get
        {
            int tip = 1;
            if (HttpContext.Current.Request.QueryString["Tip"] != null)
                int.TryParse(HttpContext.Current.Request.QueryString["Tip"], out tip);
            return tip;
        }
    }
}