﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Collections;
using System.Data;
 
public class Uye  
{
    public Uye()
    {       
    }

    private bool yoneticiMi = false;
    public bool YoneticiMi
    {
        get { return yoneticiMi; }
        set { yoneticiMi = value; }
        
    }

    private string eposta = string.Empty;

    public string Eposta
    {
        get { return eposta; }
        set { eposta = value; }
    }


    private string sifreEposta = string.Empty;

    public string SifreEposta
    {
        get { return sifreEposta; }
        set { sifreEposta = value; }
    }


    private int uyeId = -1;

    public int UyeId
    {
        get { return uyeId; }
        set { uyeId = value; }
    }
    private string adSoyad = string.Empty;

    public string AdSoyad
    {
        get { return adSoyad; }
        set { adSoyad = value; }
    }
    private string kullaniciAdi = string.Empty;

    public string KullaniciAdi
    {
        get { return kullaniciAdi; }
        set { kullaniciAdi = value; }
    }

    private string parola = string.Empty;

    public string Parola
    {
        get { return parola; }
        set { parola = value; }
    }


    private bool makaleAlarm = false;

    public bool MakaleAlarm
    {
        get { return makaleAlarm; }
        set { makaleAlarm = value; }
    }

    private bool yorumAlarm = false;

    public bool YorumAlarm
    {
        get { return yorumAlarm; }
        set { yorumAlarm = value; }
    }
    
    public bool GirisYaptiMi
    {
        get { return this.KullaniciAdi != string.Empty; }       
    }

    public bool Kaydet()
    {
        DataManager dm = new DataManager("HCG");
        DataTable dt =  dm.ExecuteDt("InsUye", this.AdSoyad,this.KullaniciAdi,this.Parola,this.Eposta,this.MakaleAlarm,this.YorumAlarm);
        string result = dt.Rows[0][0].ToString();
        if (result.ToUpper() == "OK")
        {
            return true;
        }
        else
        {
            bilgi = result;
            return false;
        }

        
    }

    private static Uye GetFromDatarow(DataRow dr)
    {
        Uye uye = new Uye();
        uye.KullaniciAdi = (string)dr["KullaniciAdi"];
        uye.AdSoyad = (string)dr["AdSoyad"];
        uye.UyeId = (int)dr["UyeId"];
        uye.Eposta = (string)dr["Eposta"];
        uye.YoneticiMi = (bool)dr["YoneticiMi"];
        uye.Parola = (string)dr["Parola"];
        uye.MakaleAlarm = (bool)dr["MakaleAlarm"];
        uye.YorumAlarm = (bool)dr["YorumAlarm"];
        return uye;
    }

    public static Uye Get(string Eposta)
    {
        DataManager dm = new DataManager("HCG");
        DataTable dt = dm.ExecuteDt("GetUyeByEposta", Eposta);

        if (dt.Rows.Count > 0)
        {
            return GetFromDatarow(dt.Rows[0]);
        }
        else
            return new Uye();
    }

    public static Uye Get(string Eposta, string Parola)
    {
        DataManager dm = new DataManager("HCG");
        DataTable dt = dm.ExecuteDt("GetUye", Eposta, Parola);

        if (dt.Rows.Count > 0)
        {
            return GetFromDatarow(dt.Rows[0]);
        }
        else
            return new Uye();
    }


    private string bilgi = string.Empty;

    public string Bilgi
    {
        get { return bilgi; }
        set { bilgi = value; }
    }

     
}