﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Evaluation.ascx.cs" Inherits="Controls_Evaluation" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxRatingControl" TagPrefix="dx" %>
<div style="background-color: #e1e1e1">
    <hr />
    <asp:SqlDataSource ID="sqlDs" runat="server" ConnectionString="<%$ ConnectionStrings:HCG %>"
        SelectCommand="GetYorum" SelectCommandType="StoredProcedure">
        <SelectParameters>
            <asp:QueryStringParameter DefaultValue="0" Name="MakaleId" QueryStringField="MakaleId"
                Type="Int32" />
        </SelectParameters>
    </asp:SqlDataSource>
    <asp:Repeater ID="Repeater1" runat="server" DataSourceID="sqlDs">
        <HeaderTemplate>
            Yorumlar:<table>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td>
                    Eklenme Tarihi:
                </td>
                <td>
                    <%# DataBinder.Eval(Container.DataItem,"EklemeTarihi") %>
                </td>
            </tr>
            <tr>
                <td>
                    Puan:
                </td>
                <td>
                    <dx:ASPxRatingControl ID="rating" runat="server" Value=' <%# int.Parse( DataBinder.Eval(Container.DataItem,"Puan").ToString() ) %>'
                        ReadOnly="true">
                    </dx:ASPxRatingControl>
                </td>
            </tr>
            <tr>
                <td>
                    Yorum:
                </td>
                <td>
                    <%# DataBinder.Eval(Container.DataItem,"Yorum") %>
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    <hr />
    <asp:Panel runat="server" ID="pnlEvaluation">
        <table>
            <tr>
                <td>
                    <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text="Değerlendirme">
                    </dx:ASPxLabel>
                    <dx:ASPxRatingControl ID="rating" runat="server">
                    </dx:ASPxRatingControl>
                    <dx:ASPxLabel ID="ASPxLabel2" runat="server" Text="Yorum">
                    </dx:ASPxLabel>
                    <dx:ASPxMemo ID="txtYorum" runat="server" Height="100px" Width="400px">
                    </dx:ASPxMemo>
                    <dx:ASPxCaptcha ID="capt" runat="server" Width="200">
                        <RefreshButton Text="Değiştir">
                        </RefreshButton>
                        <TextBox LabelText="Yukarıdaki onay kodunu buraya girin:" Position="Bottom" />
                    </dx:ASPxCaptcha>
                </td>
            </tr>
            <tr>
                <td align="left">
                    <dx:ASPxLabel ID="lblSonuc" runat="server" ForeColor="Red">
                    </dx:ASPxLabel>
                    <dx:ASPxButton runat="server" Text="Gönder" ID="btnGonder" OnClick="btnGonder_Click">
                    </dx:ASPxButton>
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel runat="server" ID="pnlUyeOl">
        Yorum yapabilmek için sisteme giriş yapmanız gerekmektedir. Sisteme giriş yapmak
        için <asp:LinkButton runat="server" OnClick="btnOturumAc_Click" Text="tıklayın."></asp:LinkButton></asp:Panel>
</div>
