﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Login.ascx.cs" Inherits="Controls_Login" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>

 

<asp:Panel runat="server" id="pnlLogin">
<table>
<tr>
<td>
    <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text="Kullanıcı Adı">
    </dx:ASPxLabel>
    </td>
<td>
    <dx:ASPxTextBox ID="txtEposta" runat="server" Width="170px">
        <ValidationSettings ValidationGroup="Giris">
            <RequiredField ErrorText="*" IsRequired="True" />
        </ValidationSettings>
    </dx:ASPxTextBox>
    </td>
</tr>

<tr>

<td>
    <dx:ASPxLabel ID="ASPxLabel2" runat="server" Text="Parola">
    </dx:ASPxLabel>
    </td>
<td>
    <dx:ASPxTextBox ID="txtParola" runat="server" Width="170px" Password="True">
        <ValidationSettings ValidationGroup="Giris">
            <RequiredField ErrorText="*" IsRequired="True" />
        </ValidationSettings>
    </dx:ASPxTextBox>
    </td>
</tr>

<tr>
<td>
    &nbsp;</td>
<td>
    <dx:ASPxButton ID="btnGiris" runat="server" onclick="btnGiris_Click" 
        Text="Giriş" Width="170px" ValidationGroup="Giris">
    </dx:ASPxButton>
    <dx:ASPxButton ID="btnSifremiUnuttum" runat="server"   
                Text="Şifremi Unuttum" Width="170px" onclick="btnSifremiUnuttum_Click" 
                CausesValidation="False">
            </dx:ASPxButton>
           
    <dx:ASPxLabel ID="lblInfo" runat="server" ForeColor="Red" Text="Hatalı giriş!" 
        Visible="False">
    </dx:ASPxLabel>
    </td>
</tr>

   

</table>
</asp:Panel>



<asp:Panel runat="server" id="pnlForgetPassword">
<table>
<tr>
<td>
    <dx:ASPxLabel ID="ASPxLabel7" runat="server" Text="e-Posta">
    </dx:ASPxLabel>
    </td>
<td>
    <dx:ASPxTextBox ID="txtSifreEposta" runat="server" Width="170px">
        <ValidationSettings ValidationGroup="SifremiUnuttum">
            <RequiredField ErrorText="*" IsRequired="True" />
        </ValidationSettings>
    </dx:ASPxTextBox>
    </td>

</tr>

<tr>
<td>
    &nbsp;</td>
<td>
    <dx:ASPxButton ID="btnGiris0" runat="server" onclick="btnSifremiGonder_Click" 
        Text="Şifremi Gönder" Width="170px" ValidationGroup="SifremiUnuttum">
    </dx:ASPxButton>
    <dx:ASPxLabel ID="lblSifreInfo" runat="server"  
        >
    </dx:ASPxLabel>
    </td>
</tr>

</table>
</asp:Panel>



<asp:Panel runat="server" ID="pnlYeniUye">
 
    <table>
    <tr>
    <td>
        <dx:ASPxLabel ID="ASPxLabel3" runat="server" Text="Rumuz">
        </dx:ASPxLabel>
        </td>
    <td>
        <dx:ASPxTextBox ID="txtKullaniciAdi" runat="server" Width="150px">
            <ValidationSettings ValidationGroup="YeniUye">
                <RequiredField ErrorText="*" IsRequired="True" />
            </ValidationSettings>
        </dx:ASPxTextBox>
        </td>
    </tr>

    <tr>
    <td>
        <dx:ASPxLabel ID="ASPxLabel4" runat="server" Text="Ad Soyad">
        </dx:ASPxLabel>
        </td>
    <td>
        <dx:ASPxTextBox ID="txtAdSoyad" runat="server" Width="150px">
            <ValidationSettings ValidationGroup="YeniUye">
                <RequiredField ErrorText="*" IsRequired="True" />
            </ValidationSettings>
        </dx:ASPxTextBox>
        </td>
    </tr>

    <tr>
    <td>
        <dx:ASPxLabel ID="ASPxLabel5" runat="server" Text="e-Posta">
        </dx:ASPxLabel>
        </td>
    <td>
        <dx:ASPxTextBox ID="txtYeniEposta" runat="server" Width="150px">
            <ValidationSettings ValidationGroup="YeniUye">
                <RequiredField ErrorText="*" IsRequired="True" />
            </ValidationSettings>
        </dx:ASPxTextBox>
        </td>
    </tr>

    <tr>
    <td>
        <dx:ASPxLabel ID="ASPxLabel6" runat="server" Text="Parola">
        </dx:ASPxLabel>
        </td>
    <td class="style1">
        <dx:ASPxTextBox ID="txtYeniParola" runat="server" Width="150px" Password="True">
            <ValidationSettings ValidationGroup="YeniUye">
                <RequiredField ErrorText="*" IsRequired="True" />
            </ValidationSettings>
        </dx:ASPxTextBox>
        
        </td>
    </tr>
        <tr>
            <td>
                &nbsp;</td>
            <td>
                <dx:ASPxCheckBox ID="chkMakaleAlarm" runat="server" Checked="True" 
                    Text="Yeni makale eklendiğinde haber ver.">
                </dx:ASPxCheckBox>
                <dx:ASPxCheckBox ID="chkYorumAlarm" runat="server" Checked="True" 
                    Text="Yorum eklediğim makalelere yeni yorum eklendiğinde haber ver.">
                </dx:ASPxCheckBox>
            </td>
        </tr>
    <tr>
    <td></td>
    <td><dx:ASPxButton ID="btnKaydet" runat="server" onclick="btnKaydet_Click" 
            Text="Kaydet" Width="150px" ValidationGroup="YeniUye">
        </dx:ASPxButton></td>
    </tr>

    </table>
</asp:Panel>